| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitCone Struct Reference

Cone value emitter - returns points in a cone. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitCone:

[legend]
List of all members.

## Public Member Functions
virtual void | GetContent (csVector3 &origin, float &elevation, float &azimuth, float &aperture, float &min, float &max)=0
| get content
virtual void | SetContent (const csVector3 &origin, float elevation, float azimuth, float aperture, float min, float max)=0
| Set content, origin, elevation, azimuth, aperture(opening), and distance min, distance max from the origin of the cone.

## Detailed Description

Cone value emitter - returns points in a cone.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateCone()

Main users of this interface:

- iEmitState

Definition at line 111 of file emit.h.

## Member Function Documentation

virtual void iEmitCone::GetContent | ( | csVector3 & | origin,
|  | float & | elevation,
|  | float & | azimuth,
|  | float & | aperture,
|  | float & | min,
|  | float & | max |
| ) |  |  | `[pure virtual]`

get content

virtual void iEmitCone::SetContent | ( | const csVector3 & | origin,
|  | float | elevation,
|  | float | azimuth,
|  | float | aperture,
|  | float | min,
|  | float | max |
| ) |  |  | `[pure virtual]`

Set content, origin, elevation, azimuth, aperture(opening), and distance min, distance max from the origin of the cone.

The documentation for this struct was generated from the following file:

- imesh/emit.h